
Foreman - Feature #4256

Column sorting across all of the web interface

02/04/2014 07:15 PM - Nathan Grennan

Status: Closed   

Priority: Normal   

Assignee: Stephen Benjamin   

Category: Web Interface   

Target version: 1.5.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

The hosts section has column sorting, and it is very useful. The page for smart proxy puppet ca doesn't have column sorting. There is

also selective support in smart variables. You can sort by variable, and puppet class, but you can't sort by number of values. Having

to go page by page to find the ones with values is unnecessarily tedious.

Related issues:

Related to Foreman - Bug #4673: Count columns should be sorted in descending ... Closed 03/17/2014

Has duplicate Foreman - Feature #1416: being able to sort by Hosts column in ... Duplicate 12/29/2011

Associated revisions

Revision 6895854c - 03/17/2014 10:08 AM - Stephen Benjamin

fixes #4256 - makes columns sortable in the UI

History

#1 - 02/05/2014 08:55 AM - Dominic Cleal

- Category set to Web Interface

#2 - 02/05/2014 02:43 PM - Stephen Benjamin

- Assignee set to Stephen Benjamin

#3 - 03/14/2014 09:46 AM - Dominic Cleal

- Status changed from New to Ready For Testing

- Target version set to 1.9.0

https://github.com/theforeman/foreman/pull/1297

#4 - 03/17/2014 10:08 AM - Dominic Cleal

- translation missing: en.field_release set to 4

#5 - 03/17/2014 10:31 AM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 6895854cd67f5803d42307f7c0147b15073d1951.

#6 - 03/17/2014 12:36 PM - Stephen Benjamin

- Related to Bug #4673: Count columns should be sorted in descending order by default added

#7 - 06/09/2014 12:28 PM - Dominic Cleal

- Has duplicate Feature #1416: being able to sort by Hosts column in /puppetclasses view added
